# List all data connectors You can fetch a list of all data connectors for your workspace by making a GET request to https://api.intercom.io/data_connectors. Data connectors allow you to make HTTP requests to external APIs from Intercom workflows and AI agents. Each connector in the response includes an execution_results_url for navigating to its execution logs. Endpoint: GET /data_connectors Version: Unstable Security: bearerAuth ## Header parameters: - `Intercom-Version` (string) Intercom API version.By default, it's equal to the version set in the app package. Enum: "1.0", "1.1", "1.2", "1.3", "1.4", "2.0", "2.1", "2.2", "2.3", "2.4", "2.5", "2.6", "2.7", "2.8", "2.9", "2.10", "2.11", "2.12", "2.13", "2.14", "Unstable" ## Response 200 fields (application/json): - `type` (string) The type of object - list. Enum: "list" - `data` (array) An array of data connector objects. - `data.type` (string) The type of object - data_connector. Enum: "data_connector" - `data.id` (string) The unique identifier for the data connector. Example: "12345" - `data.name` (string) The name of the data connector. Example: "Slack Notification Service" - `data.description` (string,null) A description of what this data connector does. Example: "Posts conversation updates to Slack channel" - `data.state` (string) The current state of the data connector. Enum: "draft", "live" - `data.http_method` (string) The HTTP method used by the data connector. Enum: "get", "post", "put", "delete", "patch" - `data.usage` (string) Where this data connector can be used. Enum: "workflow_and_inbox", "fin", "fin_voice" - `data.created_at` (string) The time the data connector was created. Example: "2025-11-15T09:30:00Z" - `data.updated_at` (string) The time the data connector was last updated. Example: "2026-01-20T14:22:15Z" - `data.execution_results_url` (string) The URL path to fetch execution results for this connector. Example: "/data_connectors/12345/execution_results" ## Response 401 fields (application/json): - `type` (string, required) The type is error.list Example: "error.list" - `request_id` (string,null) Example: "f93ecfa8-d08a-4325-8694-89aeb89c8f85" - `errors` (array, required) An array of one or more error objects - `errors.code` (string, required) A string indicating the kind of error, used to further qualify the HTTP response code Example: "unauthorized" - `errors.message` (string,null) Optional. Human readable description of the error. Example: "Access Token Invalid" - `errors.field` (string,null) Optional. Used to identify a particular field or query parameter that was in error. Example: "email"